summaryrefslogtreecommitdiffstats
path: root/source/ap/mpg123/mpg123.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-09-19 00:13:58 +0000
committer Eric Hameleers <alien@slackware.com>2021-09-19 08:59:56 +0200
commitbcf11b40a875d66fb8c56b631d8065371f9338f7 (patch)
treecc25f472cfa893cd2f60703dc981a8c7760c4c8a /source/ap/mpg123/mpg123.SlackBuild
parentb7cf3882dab7767651bfff1579436222c9a5fe59 (diff)
downloadcurrent-bcf11b40a875d66fb8c56b631d8065371f9338f7.tar.gz
current-bcf11b40a875d66fb8c56b631d8065371f9338f7.tar.xz
Sun Sep 19 00:13:58 UTC 202120210919001358
a/kernel-generic-5.14.6-x86_64-1.txz: Upgraded. a/kernel-huge-5.14.6-x86_64-1.txz: Upgraded. a/kernel-modules-5.14.6-x86_64-1.txz: Upgraded. ap/mpg123-1.29.0-x86_64-2.txz: Rebuilt. Add ../lib64/mpg123 to the module search path. Thanks to Pithium. d/kernel-headers-5.14.6-x86-1.txz: Upgraded. k/kernel-source-5.14.6-noarch-1.txz: Upgraded. PINCTRL_CANNONLAKE n -> m Thanks to bassmadrigal. kde/kstars-3.5.5-x86_64-1.txz: Upgraded. l/libcap-2.58-x86_64-1.txz: Upgraded. n/bind-9.16.21-x86_64-2.txz: Rebuilt. rc.bind: make sure /etc/rndc.key has correct ownership. Thanks to marav. xfce/thunar-4.16.10-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/ap/mpg123/mpg123.SlackBuild')
-rwxr-xr-xsource/ap/mpg123/mpg123.SlackBuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/source/ap/mpg123/mpg123.SlackBuild b/source/ap/mpg123/mpg123.SlackBuild
index 8111ee5f7..5cca00ab5 100755
--- a/source/ap/mpg123/mpg123.SlackBuild
+++ b/source/ap/mpg123/mpg123.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 2006-2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006-2021 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mpg123
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -111,6 +111,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Search for modules in lib64 first, then lib. This should work on pure 64-bit,
+# pure 32-bit, and multilib.
+zcat $CWD/mpg123.lib64.diff.gz | patch -p1 --verbose || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \